Index: tools/valgrind/locate_valgrind.sh |
diff --git a/tools/valgrind/locate_valgrind.sh b/tools/valgrind/locate_valgrind.sh |
index 5d0a06be467295a55a9d1e7ddad5592fbcfcfc4d..11d4d83d9c73ffcd781a3c123127fa07a628b13b 100755 |
--- a/tools/valgrind/locate_valgrind.sh |
+++ b/tools/valgrind/locate_valgrind.sh |
@@ -36,32 +36,24 @@ then |
PLATFORM="mac_10.7" |
;; |
*) |
- echo "Unknown platform:" >&2 |
- uname -a >&2 |
- echo "We'll try to search for valgrind binaries installed in /usr/local" >&2 |
- PLATFORM= |
+ (echo "Sorry, your platform is not supported:" && |
+ uname -a |
+ echo |
+ echo "If you're on Mac OS X, please see http://crbug.com/441425") >&2 |
+ exit 42 |
esac |
- if [ "$PLATFORM" != "" ] |
- then |
- # The binaries should be in third_party/valgrind |
- # (checked out from deps/third_party/valgrind/binaries). |
- CHROME_VALGRIND="$THISDIR/../../third_party/valgrind/$PLATFORM" |
- |
- # TODO(timurrrr): readlink -f is not present on Mac... |
- if [ "$PLATFORM" != "mac" ] && \ |
- [ "$PLATFORM" != "mac_10.6" ] && \ |
- [ "$PLATFORM" != "mac_10.7" ] |
- then |
- # Get rid of all "../" dirs |
- CHROME_VALGRIND=`readlink -f $CHROME_VALGRIND` |
- fi |
+ # The binaries should be in third_party/valgrind |
+ # (checked out from deps/third_party/valgrind/binaries). |
+ CHROME_VALGRIND="$THISDIR/../../third_party/valgrind/$PLATFORM" |
- if ! test -x $CHROME_VALGRIND/bin/valgrind |
- then |
- # We couldn't find the binaries in third_party/valgrind |
- CHROME_VALGRIND="" |
- fi |
+ # TODO(timurrrr): readlink -f is not present on Mac... |
+ if [ "$PLATFORM" != "mac" ] && \ |
+ [ "$PLATFORM" != "mac_10.6" ] && \ |
+ [ "$PLATFORM" != "mac_10.7" ] |
+ then |
+ # Get rid of all "../" dirs |
+ CHROME_VALGRIND=$(readlink -f $CHROME_VALGRIND) |
fi |
fi |